package com.fr.plugin.theme.original;

import com.fr.decision.fun.impl.AbstractThemeVariousProvider;
import com.fr.decision.web.MainComponent;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.web.struct.Atom;

/**
 * Created by dailer on 18/10/10.
 */
@EnableMetrics
public class OriginalTheme extends AbstractThemeVariousProvider {


    @Override
    public Atom attach() {
        return MainComponent.KEY;
    }

    @Override
    @Focus(id = "com.fr.plugin.theme.original", text = "demo主题", source = Original.PLUGIN)
    public Atom client() {
        return OriginalComponent.KEY;
    }

    @Override
    public String name() {
        return "OriginalTheme";
    }

    @Override
    public String text() {
        return "复古";
    }

    @Override
    public String coverPath() {
        return "com/fr/plugin/theme/original/web/demo.png";
    }

}